<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.437
Name: KOPAC-B Beoordeelbaarheid
Description: Template: KOPAC-B Beoordeelbaarheid
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000">
   <title>KOPAC-B Beoordeelbaarheid</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]"
         id="d120e13381-false-d138240e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437'])&gt;=1">(KOPACBB): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437'])&lt;=1">(KOPACBB): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']"
         id="d120e13412-false-d138264e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@classCode)=('OBS')">(KOPACBB): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@moodCode)=('EVN')">(KOPACBB): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:entryRelationship)&lt;=count(hl7:value[@code='B3'])">(KOPACBB): "Reden niet beoordeelbaar" (entryRelationship RSON) alleen als Beoordeelbaarheid B3 "niet beoordeelbaar door"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437'])&gt;=1">(KOPACBB): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437'])&lt;=1">(KOPACBB): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(KOPACBB): element hl7:code[(@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(KOPACBB): element hl7:code[(@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(KOPACBB): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(KOPACBB): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]])&lt;=1">(KOPACBB): element hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437']
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437']"
         id="d120e13418-false-d138329e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.437')">(KOPACBB): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.437' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:code[(@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:code[(@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d120e13423-false-d138347e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or (@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')">(KOPACBB): de elementwaarde MOET een zijn van 'code '19764-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d120e13428-false-d138369e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(KOPACBB): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.236 KOPAC-B Beoordeelbaarheid (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]"
         id="d120e13437-false-d138394e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@typeCode)=('RSON')">(KOPACBB): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]])&gt;=1">(KOPACBB): element hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]])&lt;=1">(KOPACBB): element hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]/hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]/hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]"
         id="d120e13441-false-d138420e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@classCode)=('OBS')">(KOPACBB): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@moodCode)=('EVN')">(KOPACBB): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)])&gt;=1">(KOPACBB): element hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)])&lt;=1">(KOPACBB): element hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(KOPACBB): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(KOPACBB): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]/hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]/hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]/hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]/hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]"
         id="d120e13447-false-d138464e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or (@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')">(KOPACBB): de elementwaarde MOET een zijn van 'code 'R' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.243''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]/hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.437']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]]/hl7:observation[hl7:code[(@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')][not(@nullFlavor)]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d120e13452-false-d138486e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170217T111833/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(KOPACBB): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.237 KOPAC-B Reden niet beoordeelbaar (DYNAMISCH)'.</assert>
   </rule>
</pattern>
